runescape (4.3.5) trusty; urgency=high
  
  * Fixed the playercount for OldSchool
  
 -- HikariKnight <rshikariknight@gmail.com>  Mon, 21 Sep 2015 10:32:32 +0200

runescape (4.3.4) trusty; urgency=high
  
  * Added prm file for DarkScape
  * Added the possibility to assign different client icons for prms
    see "share/img/Custom Icons.txt" for more info
  * Added 2 community created icons for DarkScape created by
    byadamsbeard and Deranext on reddit.
  
 -- HikariKnight <rshikariknight@gmail.com>  Fri, 18 Sep 2015 11:32:48 +0200

runescape (4.3.3) trusty; urgency=high
  
  * Added new RS3 icon from pull request #58
  * Try to fix the detection of a failed RSSFEED request (again)
  
 -- HikariKnight <rshikariknight@gmail.com>  Mon, 20 Apr 2015 11:18:33 +0200

runescape (4.3.2) trusty; urgency=high
  
  * Added support for the new jagex-jav URI that jagex will
    start using soon, try it out with the command:
    runescape jagex-jav://www.runescape.com/jav_config.ws
  
 -- HikariKnight <rshikariknight@gmail.com>  Tue, 31 Mar 2015 19:51:42 +0200

runescape (4.3.1) trusty; urgency=high
  
  * Added prm files for all 3 runescape classic worlds
    thanks to Mod Philips work on adding support for that
  
 -- HikariKnight <rshikariknight@gmail.com>  Sat, 21 Feb 2015 12:36:25 +0200

runescape (4.3.0) trusty; urgency=high
  
  * Fixed https protocol issue when loading prm files from https

  * Removed unintended section headers from example files
  
  * Added a workaround for playercount when oldschool website is down
  
 -- HikariKnight <rshikariknight@gmail.com>  Wed, 21 Jan 2015 16:46:19 +0200

runescape (4.2.9) precise; urgency=low
    
  * Added a combobox to the launcher to easily change the
    prmfile used to launch the game (also sets the selected prm file
    as default prm file)
    
  * Added prmfiles for all FunOrb games thanks to Salubrious
  
  * Lowered the timeout for playercount and news (from 10 to 3 seconds)
  
  * Removed the play oldschool button
    
 -- HikariKnight <rshikariknight@gmail.com>  Wed, 24 Aug 2014 17:41:12 +0200

runescape (4.2.8) precise; urgency=low
    
  * Added SSLv3 support for loading runescape through https
    
 -- HikariKnight <rshikariknight@gmail.com>  Wed, 16 Apr 2014 17:14:10 +0200
 
runescape (4.2.7) precise; urgency=low
    
  * Added internal version of cairo-nogl to fix OpenGL crash on
    Intel and AMD graphic cards.
    
  * Stopped supporting Ubuntu10.04 due to library conflicts.
    
 -- HikariKnight <rshikariknight@gmail.com>  Wed, 20 Mar 2014 17:27:57 +0200

runescape (4.2.6) precise; urgency=low
    
  * Make the Linux thread button link to the new thread
    
 -- HikariKnight <rshikariknight@gmail.com>  Wed, 20 Mar 2014 17:27:57 +0200
 
 runescape (4.2.5) precise; urgency=low
    
  * Fixed the about dialog on mac osx, so it will now use the new one
  
  * Made it so that when reading or writing config files, the files
    do not get filled with newlines over time
  
  * Fixed a warning when making symlinks on a systemwide install
  
  * Added a new about dialog that matches the launcher theme
  
  * Made the contributors in the credits dialog be generated
    from the AUTHORS file
    
  * Added a symlinkcheck for when the user uses one of the
    openjdk as the client java.
    
  * Fix the symlinkcheck for openjdk
    
 -- HikariKnight <rshikariknight@gmail.com>  Wed, 12 Feb 2014 11:41:41 +0200

runescape (4.2.4) precise; urgency=low
    
  * Fixed the java binary locator and hopefully fix bug
    http://services.runescape.com/m=forum/forums.ws?25,26,99,61985129,goto,735#7341
    
 -- HikariKnight <rshikariknight@gmail.com>  Tue, 11 Feb 2014 10:26:03 +0200
 
runescape (4.2.3) precise; urgency=low
    
  * Added libjli.so to the Java OpenGL Library fix
  
  * Made the oldschool client window use the OldSchool client icon
  
  * Made the normal RuneScape Client window use the
    Official RS Client Icon (with permission from Jagex)
    
  * Added ground support for custom client icon support
   
    
 -- HikariKnight <rshikariknight@gmail.com>  Thu, 06 Feb 2014 15:18:00 +0200

runescape (4.2.2) precise; urgency=low

  * Added a details file that contains the client version
    and most likely other data in the future
    
  * Fixed a bug that prevented the client from running on
    Windows if automatic optimizations were disabled.
    
  * Added a combobox to the settings editor which generates
    a list of prmfiles found inside $clientdir/share/prms
    
  * Added support for custom cache directories so that
    players can store their jagexcache on separate
    harddrives or in a more preferable location.
    
 -- HikariKnight <rshikariknight@gmail.com>  Fri, 29 Jan 2014 10:16:20 +0200

runescape (4.2.1) precise; urgency=low

  * Added option to download the jagexappletviewer.jar
    directly (thank you Mod Philip!)
    
  * Updated the message in the updater
  
  * Made the jar file the default client download on all
    platforms
    
 -- HikariKnight <rshikariknight@gmail.com>  Fri, 29 Nov 2013 19:11:20 +0200

runescape (4.2.0) precise; urgency=low

  * Performance tweak to the winemode along with debug message
    showing the launch command before running it.
    
  * Moved the winemode execution into the same function as the
    other launch commands
    
  * Made it so that the winemode use the portable cache if
    the jagexcache is set to be portable.
    
 -- HikariKnight <rshikariknight@gmail.com>  Fri, 27 Nov 2013 13:50:20 +0200

runescape (4.1.9) precise; urgency=low

  * Added the new rssfeed for oldschool news to the launcher
    with the ability to change between oldschool and runescape news.
    Kudos to Jagex for the new rssfeed!
    
  * Changed the Dutch option in the settings to German
    Closes Issue #20
    
  * Fixed the issue where runescape.prm would get corrupted on the
    first launch if the player opened up the settings and saved
    them before playing.
    
 -- HikariKnight <rshikariknight@gmail.com>  Fri, 26 Nov 2013 13:43:30 +0200

runescape (4.1.8) precise; urgency=low

  * Redesigned the addons tab in the launcher to
    provide better information about the installed
    addons and give it a better look
    
  * Made it possible to delete an addon by clicking
    the [X] in the addons tab
    
  * Added a refresh list function to the addons tab
    
 -- HikariKnight <rshikariknight@gmail.com>  Fri, 15 Nov 2013 17:30:40 +0200

runescape (4.1.7) precise; urgency=low

  * Fixed the playercount for RS3 on windows
  
  * Rewrote several parts of the framework to use
    the Config::IniFiles module from cpan
    
  * Included local versions of List::MoreUtils and IO::Stringy
  
  * Fixed some warnings in some of the public API calls
  
  * Fixed some issues with certain parameters on the packaging
    templates that package maintainers copy to /usr/bin or /usr/games
    
 -- HikariKnight <rshikariknight@gmail.com>  Tue, 22 Oct 2013 12:12:57 +0200

runescape (4.1.6) precise; urgency=low

  * Added the amount of players online for RuneScape3 and
    OldSchool RuneScape to the top left of the launcher
  
  * Made the refresh button also refresh the playercount
  
  * Fixed a problem with urls containing & in the readurl
    and sysdload functions 
    
 -- HikariKnight <rshikariknight@gmail.com>  Tue, 22 Oct 2013 12:12:57 +0200

runescape (4.1.5) precise; urgency=low

  * Added a close button to the launcher when it is launched with
    the parameter --closebutton=1
    example: runescape client.launch.launcher --closebutton=1
    
 -- HikariKnight <rshikariknight@gmail.com>  Mon, 21 Oct 2013 10:07:55 +0200
 
runescape (4.1.4) precise; urgency=low

  * Fixed the "Update rsu-api" on mac so that it will hopefully
    no longer break the .app by using rsync instead of cp
  
  * Added support for passing parameters to RuneScape.exe on windows
  
  * Made the launcher look more like a "RuneScape" launcher.
    
 -- HikariKnight <rshikariknight@gmail.com>  Thu, 17 Oct 2013 13:19:10 +0200

runescape (4.1.3) precise; urgency=low

  * Fixed the "Unable to add image to the list" error on windows
    
 -- HikariKnight <rshikariknight@gmail.com>  Wed, 09 Oct 2013 16:58:19 +0200
 
runescape (4.1.2) precise; urgency=low

  * Updated the launcher to use the Wx::HtmlWindow to display the
    newsfeed instead of building it's own interface.
    This lets me make the newsfeed a bit nicer and lets me use
    hyperlinks instead of buttons to take users to the news article.
    Plus this increases the performance of the launcher and decreases
    it's memory usage
    
  * Adjust some text in the settings editor to stop horizontal
    scrollbars from appearing with some GTK Themes
    
  * Made it so that the rsu-api update only run the binary updater
    if the new framework api have been downloaded sucessfully
    
 -- HikariKnight <rshikariknight@gmail.com>  Fri, 22 Sep 2013 16:18:19 +0200
 
runescape (4.1.1) precise; urgency=low

  * Added Wx::Html as an include inside the rsu-query so that addons
    can take advantage of Wx::SimpleHtmlListBox to nicely format a listbox
    
 -- HikariKnight <rshikariknight@gmail.com>  Fri, 20 Sep 2013 14:04:19 +0200

runescape (4.1.0) precise; urgency=low

  * Made the "update rsu-api" and addon updater show an error message
    if the download/extraction of the tar.gz file fails
    
 -- HikariKnight <rshikariknight@gmail.com>  Mon, 16 Sep 2013 15:44:19 +0200

runescape (4.0.9) precise; urgency=low

  * Added the option to change the game language from the
    settings editor, incase Jagex messes up language selection again
  * Removed the useless classpath object from the settings editor
    as it had no actual use.
  * Added an debug output for rsu::client::language::setlanguage
  * Updated my contact email in credits
  * Fix a bug that made fullscreen_emu not save or load settings
    when run from a local version of the client
    
 -- HikariKnight <rshikariknight@gmail.com>  Sun, 01 Sep 2013 16:08:10 +0200

runescape (4.0.8) precise; urgency=low

  * Fixed the bug where addons launch twice on windows
    
 -- HikariKnight <mu.antilag@gmail.com>  Sun, 26 Jul 2013 00:27:00 +0200
 
runescape (4.0.7) precise; urgency=low

  * Fixed a bug preventing the wine compabilitymode from working
  * Make the settings editor use the correct type of slashes on windows
    for the copy+paste link for the prm files.
    
 -- HikariKnight <mu.antilag@gmail.com>  Wed, 24 Jul 2013 19:27:00 +0200

runescape (4.0.6) precise; urgency=low

  * Fixed missing strict in rsu-query-unix and rsu-query-darwin
  * Added smart sizing (rsu windows now appear in a size that is
    suitable for the platform+desktop theme)
  * Fixed the library load error issue on OSX
    
 -- HikariKnight <mu.antilag@gmail.com>  Fri, 24 May 2013 16:58:00 +0200
 
runescape (4.0.5) precise; urgency=low

  * Fixed a bug where RuneScape.exe said there was an update to the
    rsu-query.exe if it failed to connect to github.com
  * Added connection timeouts to sysdload
  * Added the option to Enable/Disable Automatic Java Optimization in
    the settings editor.
  * Added debug output in the STDOUT for the newsfeed.
    
 -- HikariKnight <mu.antilag@gmail.com>  Fri, 17 May 2013 09:53:00 +0200

runescape (4.0.4) precise; urgency=low

  * Added a refresh button for news
  * Fixed the sizing issue with the updater on windows and mac
  * Added automatic optimization of the jre by adding the below parameters
    to the java binary when launched (it will not overwrite your parameters 
    from the .prm if they already exist there), if you want to be able to 
    disable automatic optimizations then please poke me on the RuneScape forums
    or on github and I will make an option for it :)
  * Fixed the issue of loading repositories on windows in the updater
  * Added timeouts for fetching news (5-10 sec timeout) so it does no longer
    try to constantly load them if the rssfeed is down.
  * Added a dummy newsfeed with a message that there was an issue loading the news
  * Fixed the newsfeeds odd appearance in ubuntu/unity
    
 -- HikariKnight <mu.antilag@gmail.com>  Fri, 26 Apr 2013 09:53:00 +0200
 
runescape (4.0.3) precise; urgency=low

  * Added support for adding repositories of addons instead of single entries for each addon
  * Included Archive::Extract
  * Changed the size of the updater and launcher
    
 -- HikariKnight <mu.antilag@gmail.com>  Mon, 14 Apr 2013 13:56:10 +0200

runescape (4.0.2) precise; urgency=low

  * Disabled the maximize button on the settings interface.
  * Made the client able to store the jagexcache inside $clientdir/share/cache
  * Remade the settings gui due to a conversion bug that prevented me
    from updating the interface.
  * Added "Clear Old School Cache" to settings
  * Removed "Clear BETA Cache" from settings
  * Made the API compatible with the portable jagexcache
  * added the "cachedir" key to settings.conf
    (makes the setting global rather than .prm specific)
    
 -- HikariKnight <mu.antilag@gmail.com>  Mon, 1 Apr 2013 08:50:10 +0200
 
runescape (4.0.1) precise; urgency=low

  * Fixed typos in the launcher scripts located in /usr/games - Ker Laeda/ivan_p
  * Increased width of launcher by 30pixels, hopefully fixing the oddities
    caused by resizing the window
  * Made launcher fetch news and do other time consuming operations in
    new threads.
    
 -- HikariKnight <mu.antilag@gmail.com>  Mon, 1 Apr 2013 08:50:10 +0200
 
runescape (4.0.0) precise; urgency=low

  * Rewrote the client into an API/Framework
  * New Wx based download dialog
  * Official support for addons! (still needs a gui for adding addons to the updater)
  * Removed dependency for grep, wget and curl
  * Improved the speed on deleting the maincache on windows
  * Changed internal file structure for more organization
  * Legacy scripts for launching parts of the client (ex: rsu-settings)
    are provided in this version until version 4.0.2 or 4.0.5
  * Download progress dialog for windows and mac
  * Client launcher now uses the runescape news rssfeed so dependency for
    libwebkitgtk1 is removed
  * Launcher works on Wx2.8 now
  * If wxperl is installed, the launcher will start if rsu-query is called
    without any parameters. If wxperl is not installed, it will start runescape.
  * Removed dependency for p7zip/7zip on mac and windows (using native tools instead)
  * Improved the look of the updater.
  * Fixed memory leak in the client launcher.
  * Let addons with info.conf at their root add themself to the updater!
  * Add support for using the download gui with wget and curl
  * Add support for running the launcher on older versions of perl (proper support for ubuntu10.04+)
    
 -- HikariKnight <mu.antilag@gmail.com>  Mon, 28 Jan 2013 09:18:10 +0200

runescape (3.9.10) oneiric; urgency=low

  * Added oldschool.prm by ivan_p however I added it to the changelog hence why
    I am mentioned below, but credits are given! :)
    
 -- HikariKnight <mu.antilag@gmail.com>  Thu, 28 Feb 2013 18:18:10 +0200

runescape (3.9.9) oneiric; urgency=low

  * Added support for addons in the rsu-launcher and the rsu-client
    The functionality is disabled by default, to enable it.
    simply make a folder named "addons" inside the rsu-client's modules
    folder (if the client is installed from a repository then make
    the folder inside "~/.config/runescape/modules" instead)
  * Fixed several bugs in the rsu-launcher
  * Wrote a proper moduleloader.pl system
  * Made it possible for the rsu-launcher to launch perl script
    inside its own minimalistic wxperl environment, therefore saving
    space across platforms and make it possible to load perl scripts
    using wxwidgets2.9, without the libraries themselves.
  * Added support for running from /opt/extras.ubuntu.com
    
 -- HikariKnight <mu.antilag@gmail.com>  Mon, 28 Jan 2013 09:18:10 +0200

runescape (3.9.8) oneiric; urgency=low

  * Added support for using curl instead of wget
    (meaning either can be a dependency instead of the other)
  * Added support for using zenity in the update-runescape-client
    script, making the script more userfriendly thanks to Fallen Unia
  * Removed garbage collection parameters from the fallback parameters
    in the runescape script, however they are available in a comment
    below "$fallbackprms =" incase you need them.
  * update-runescape-client will now use zenity over xterm,
    however it will fallback to xterm if zenity is not installed.
  * Removed the option to launch the EoC beta from the local install
  * Added rsu-settings to the rightclick meny for runescape.desktop
    (Unity only)
  * Added perl based launchers instead of autoit based ones for windows
    
 -- HikariKnight <mu.antilag@gmail.com>  Mon, 21 Jan 2013 14:01:38 +0200

runescape (3.9.7) oneiric; urgency=low

  * Removed the need to redistribute perl manually on windows
    in order to make the client work.
  * Rewrote rsu-settings to work with the new PAR packaged
    scripts.
  * Removed the need to bundle an external version of perl
    on darwin/MacOSX just to get wxWidgets to work on that
    platform, this new method uses PAR to make a self contained
    loader that will include the necessary components to run
    wxperl with wxWidgets (saving hundreds of megabytes!).
  * Made a Launcher for the client, meaning less cluttered
    application menus for users. It is an optional module from 
    https://github.com/HikariKnight/rsu-launcher
    
 -- HikariKnight <mu.antilag@gmail.com>  Sun, 18 Dec 2012 22:12:38 +0200

runescape (3.9.6) oneiric; urgency=low

  * Launchpad now automatically builds deb packages from the git
    repository, please check future changelogs at
    https://github.com/HikariKnight/rsu-client/blob/master/runescape/changelog.txt
  * Added support for Nvidia Optimus Linux computers using
    bumblebee+primusrun. For more info check out
    http://webupd8.org/2012/11/primus-better-performance-and-less.html
  * Made the addons tab in the settings gui not appear if the addons
    folder do not exist in $clientdir/modules
    or .config/runescape/modules for system installed clients.
  * Made the runescape script not run the loadaddons function if
    the addons folder do not exist.
    
 -- HikariKnight <mu.antilag@gmail.com>  Sun, 16 Dec 2012 14:24:00 +0200

runescape (3.9.5) oneiric; urgency=low

  * Added an addon framework (wxWidgets2.9.3)
    NOTE: addons are linux only atm
  * Create an addonloader
  * Create a test/example addon (grooveshark)
  * Create an addon launcher to run addons when needed (Addon_Launcher)
  * Add an addons tab in the settings script which is automatically
    generated which will let you choose which addons to autostart
    with RuneScape.
  * Added a button to open the addons directory
  * Added a RuneScape Wikia Lookup addon

 -- HikariKnight <mu.antilag@gmail.com>  Sat, 27 Nov 2012 18:41:37 +0200
 
runescape (3.9.4) oneiric; urgency=low

  * Remove the beta launcher and beta parameters file.

 -- HikariKnight <mu.antilag@gmail.com>  Sat, 17 Nov 2012 16:43:37 +0200

runescape (3.9.3) oneiric; urgency=low

  * Made the client use Apple Java6 on OSX if it exists
    (instead of default java)
  * Fixed the windows_main function so that the client can run 
    on windows again.

 -- HikariKnight <mu.antilag@gmail.com>  Fri, 10 Nov 2012 13:17:05 +0200
 
runescape (3.9.2) oneiric; urgency=low

  * Splitted the source into modules
  * Made it possible to write custom modules
  * Store information that are used by modules inside the
    $rsu_data mutator for easy transfer of info to modules
  * Git repository made on github.com!
  * Fixed a bug where the launch command lacked some
    output for the debug messages after the source was
    splitted.

 -- HikariKnight <mu.antilag@gmail.com>  Sun, 14 Oct 2012 17:59:05 +0200

runescape (3.9.1) oneiric; urgency=low

  * Fixed update from mac client

 -- HikariKnight <mu.antilag@gmail.com>  Sat, 25 Aug 2012 20:37:15 +0200
 
runescape (3.8.2r2) oneiric; urgency=low

  * Removed openjdk from recommends in the runescape package
    in the PPA.

 -- HikariKnight <mu.antilag@gmail.com>  Mon, 13 Jul 2012 17:34:00 +0200

runescape (3.8.2) maverick; urgency=high

  * Forgot to make the rsu-settings script executable

 -- HikariKnight <mu.antilag@gmail.com>  Mon, 09 Jul 2012 19:12:41 +0200
 
 runescape (3.8.1) maverick; urgency=high

  * Fixed the .desktop file for the rsu-settings script
  * Updated the rsu-settings gui to be more userfriendly
  * Added support for clearing the jagexcache through rsu-settings
  * Added support for clearing the BETA jagexcache through rsu-settings
  * Final release for Ubuntu10.10 maverick (because I had to fix 
    the .desktop file for the application menu this got delayed to this
    release)

 -- HikariKnight <mu.antilag@gmail.com>  Mon, 09 Jul 2012 18:12:41 +0200

runescape (3.7.1) maverick; urgency=low

  * Fixed rsu-settings on MacOSX.
  * Changed the text on the second sound label from pule to
    alsa.
  * Last release for maverick.

 -- HikariKnight <mu.antilag@gmail.com>  Mon, 02 Jul 2012 13:54:45 +0200

runescape (3.6.1-1) maverick; urgency=high

  * Fixed a bug where the rsu-settings do not add newlines to
    settings.conf

 -- HikariKnight <mu.antilag@gmail.com>  Sun, 01 Jul 2012 13:51:38 +0200

runescape (3.6-0) maverick; urgency=high

  * Fixed a bug in rsu-settings when you save the file without checking
    runescape.prm first.

 -- HikariKnight <mu.antilag@gmail.com>  Sun, 30 Jun 2012 22:24:38 +0200

runescape (3.5-0) maverick; urgency=high

  * Added support for overriding settings.conf through the launch
    command, this is useful if you want several .prm files and do not
    want to change settings constantly to enable and disable features.
    It is also useful for testing stuff. The syntax is 
    runescape --{settingsname}={value}
    As an example this will tell the client to use
    beta.prm as prm file and enable the forcealsa setting
    runescape --prmfile=beta.prm --forcealsa=true
    
  * Added a graphical settings tool for settings.conf and runescape.prm
    which is named rsu-settings
    It is an optional module which depends on libwx-perl and wxWidgets.
    It is however not required in order to run.
    The rsu-settings script is known to work on Linux, Windows and Mac
    
  * Updated the perl binaries I have to distribute to Windows users.
    The new version is perl-5.14.2
    
  * Created a perl binary bundle which MacOSX users needs to download
    in order to use the rsu-settings script, this is because Apple
    broke their own installation of wxPerl(libwx-perl) which is
    installed by default on MacOSX. And as I cannot expect
    Mac users to have xCode and the command line tools installed
    I created this bundle instead as a local install into the client
    directory(this also saves you 1-2 hours of compiling).
    This bundle will be downloaded if the rsu-settings
    is run on a MacOSX system that do not have the bundle downloaded.
    
  * Recompiled Download-Windows-Files.exe
    to fix a bug where it does not automatically replace files that
    it extracts when it downloads the win32.7z.
    
  * Updated the templates with new source and fixed the
    darwin template (MacOSX template) for the native launchers
    
  * Updated install-desktop-icons to include rsu-settings on MacOSX
  
  * Moved everything that extends the RSU Clients functionality into
    a new folder called modules, the only folder not moved there is
    the win32 folder.
    
  * Added a cleanupscript named cleanupscript.pl which will run
    on the first launch of the runescape script after you have
    updated the client (applies for the client installed from dropbox)
    
  * Added a runescape-beta.prm file to the share folder
    so that the client gets prepared for the public access to the
    RuneScape EOC beta
    
  * Added a right click option on the unity launcher to launch the
    client with the parameter --prmfile=runescape-beta.prm

 -- HikariKnight <mu.antilag@gmail.com>  Sat, 30 Jun 2012 19:58:01 +0200

runescape (3.4-0) maverick; urgency=high

  * Made the runescape script optimize java by running java in client
    mode rather than server mode if it is available (so far only
    available on 32-bit version of java), this fixes the lag you get
    when you have textures enabled in-game. Big thanks to Marshian for
    discovering this.
    
  * Made the client look if aoss32 exist if forcealsa=true and the
    -client parameter is available on the java binary.

 -- HikariKnight <mu.antilag@gmail.com>  Sun, 17 Jun 2012 00:52:38 +0200

runescape (3.3.1-3) maverick; urgency=low

  * Fixed dependency issues with the generated deb package

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 06 Jun 2012 08:49:10 +0200

runescape (3.3-2) maverick; urgency=high

  * Properly fixed compabilitymode when run from /opt
  * Hopefully fixed the .desktop file issue when installed from PPA
  * Package templates added to bleeding edge which is available by
    running the update-scripts file with sudo

 -- HikariKnight <mu.antilag@gmail.com>  Tue, 05 Jun 2012 18:11:10 +0200

runescape (3.2-2) maverick; urgency=high

  * First PPA build on launchpad
  * Fixed compabilitymode when running from /opt (repository or package
    installations only)

 -- HikariKnight <mu.antilag@gmail.com>  Tue, 05 Jun 2012 13:02:23 +0200

runescape (3.2-1) lucid; urgency=low

  * Initial deb package release

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200
 
runescape (3.2-0) lucid; urgency=low
  * Fixed probing for java on windows when the win32java.exe setting
    is set to default-java
    The issue was a regex at line 878
    
 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (3.1-0) lucid; urgency=low
  * Prepared the client for distribution through repositories
    (make it aware of being run from read only locations)
    Please note that IF you are doing to make a repository for this client.
    It should be installed to /opt and then 
    /opt/runescape/runescape and /opt/runescape/update-runescape-client
    should be symlinked to /usr/bin
    Images from the clients share folder should then be symlinked to
    /usr/share/pixmaps or /usr/share/icons
    
  * update-runescape-client will not give the option to update scripts
    when installed on /opt, in order to update the scripts you have 2 options
    1. copy the runescape folder from /opt and into a location where your user
       have write permissions by default.
    2. or you can run /opt/runescape/update-scripts as root (not recommended!)
    
  * If the client is installed to /opt it will use ~/.config/runescape
    as the client folder, meaning you can still update jagexappletviewer.jar
    from jagex without waiting for the package maintainer!
    
  * Improved the unix_findlibrarypath function (BIG THANKS TO Jmb71 FOR THE NEW REGEX!)

  * AUR package will be released in the very near future (BIG THANKS TO Ker Laeda FOR THAT!)
    as I do not have Arch Linux, Ker Laeda have helped me a lot with the testing and preparations
    for the client to be distributed from a repository
    
  * Documentation.txt will be discontinued and the script themselves will
    contain the documentation in the comments instead 
    (however the file will still exist just to mention the sourcefiles are the documentation themselves)

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (3.0-0) lucid; urgency=low
  * Thanks to Paul who reported to me that the client would not work
    if preferredjava was set to default-java and the java executable in
    $PATH was a script(or symlinked script) instead of a symlinked binary
    this would cause ldd to fail on what was supposed to be the binary and
    make the OpenGL fix not work or make the client fail to launch alltogether.
    
    A workaround for this have been made for systems that are affected (namely gentoo and sabayon)
    in which a message will be displayed and show the user how to set the client
    to use a custom java binary, this will solve this issue on these affected systems.
    This message will ONLY be triggered if preferredjava is not set or is set to default-java!
    
  * Updated settings.conf.example with a custom java path example :)

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (2.9-0) lucid; urgency=low
  * Made a fix for Software and OpenGL display modes in Java7 and OpenJDK7
    No settings needed! This is entirely automatic!
    
  * Made the runescape script follow symlinks to the binary file in order
    to add the java library path to fix OpenGL issues when using Java7/OpenJDK7

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (2.8-1) lucid; urgency=low
  * Made the update-runescape-client ASK if it is ok to download and compile
    p7zip-full if it is not detected, this was done by request from one of the
    players who were concerned that it happened without permission.
    I guess I focused so much on compability that I forgot my manners.
    I am sorry that it happened, hope you all can forgive me :)
    
  * update-runescape-client script now gives more info if the 7z binary is not found,
    this will make it easier to know what packages are missing! :)

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (2.8-0) lucid; urgency=low
  * Fixed a glitch in readconf function in the runescape script where I had
    forgotten to consider the different line endings :P
    line 597
    from: my @settings = split /\n/, "@$confcontent";
    to: my @settings = split /(\n|\r\n|\r)/, "@$confcontent";
    
  * Fixed a glitch(from me testing) in the update-runescape-client script where it would not
    download and compile p7zip-full if it was not detected on the system.
    Now it is working again.
    line 413
    from: if ($test7zsys =~ /7-Zip/)
    to: if ($test7zsys !~ /7-Zip/)

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (2.7-0) lucid; urgency=low
  * Added proper support for 64-bit windows by adding a java probe function
    this function is named win32_find_java
    
  * On windows, the client will now use the newest java installed and also
    load the proper dll files for the client from the java installed.
    
 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (2.6-0) lucid; urgency=low
  * Added a forcealsa option which will force java to use the alsa sound server,
    this will make sounds far more stable on linux and they will not disappear randomly
    like they do with pulseaudio. This function requires alsa and alsa-aoss to be installed.
    
  * Changed the fallback parameters (incase a prm file is not found) to
    jagexappletviewer.jar -Dsun.java2d.noddraw=true 
    -Dcom.jagex.config=http://www.runescape.com/k=3/l=\$(Language:0)/jav_config.ws 
    -Xss1m -Xmx256m -XX:CompileThreshold=1500 -Xincgc -XX:+UseConcMarkSweepGC 
    -XX:+UseParNewGC jagexappletviewer 
    
    These parameters are the same as the ones used on the website.

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (2.5-0) lucid; urgency=low
  * Fixed an issue in the if openjdk was found statement in the findjavabin function
    so that it now works as intended.
    line 342 in runescape
    from: if ($openjdk =~ /java-\d{1,1}-openjdk(-\$\(uname -p\)|-i386|-amd64)/)
    to: if ($openjdk =~ /java-\d{1,1}-openjdk(|-\$\(uname -p\)|-i386|-amd64)/)

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (2.4-0) lucid; urgency=low
  * Removed "jagexappletviewer.jar" permanently from the archive due to the same "Legal Reasons" preventing
    JAGEX from distributing the client in certain countries :(
  * Added a check in the runescape script that checks if the file "jagexappletviewer.jar" exists,
    if it does not then it will run the update script.
  * Added a notice about jagexappletviewer into the update "menu" in the update-runescape-client script.

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (2.3-0) lucid; urgency=low
  * Added native launcher for windows (AutoIT source in templates/MSWin32/ )
  * Added native launcher for MacOSX (template located in templates/darwin/ )
  * Added grep for windows to remove the spammy output when running in debug mode on windows
  * The "install-desktop-icons" script now have MacOSX support!
  * Created a downloader for the client which will download the files needed to run the client on windows.
    (AutoIT source is located in templates/MSWin32/ )

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (2.2-0) lucid; urgency=low
  * Windows support improved and do not need the win32java.exe setting anymore!
  * Added windows support to the updaters.
  * The portable "crossplatform ready" client named runescape-x on my homepage includes 7zip, wget and perl for windows.
  
 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200
 
runescape (2.1-0) lucid; urgency=low
  * Windows support (needs the win32java.exe setting to point to the java.exe on the computer)

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (2.0-0) lucid; urgency=low
  * Replaced the default java app icon in the dock on MacOSX
  * Added "RuneScape Unix Client" as the app name in the MacOSX dock
  * Added -Xdebug to the runescape.prm so that java shows some debug
    info when the client is executed from the terminal.
  * added -d64 parameter to runescape.prm to let the client use the
    64-bit data model (in theory it means running the client in 64bit mode)

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (1.9-0) lucid; urgency=low
  * Added version info to the runescape script so you can find the version
    by calling the script with the --version parameter
  * Added a help text for the new parameters in the runescape script.
    Just execute runescape with --help to view it.
  * Added verbose modes for java so that we may get other helpful info about crashes
    were the normal debug output from the script is not enough.
    Parameters added are --verbose, --verbose:gc, --verbose:class and --verbose:jni
    the --verbose parameter is the same as all the other 3 together.

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (1.8-0) lucid; urgency=low
  * Added proper support for cinnamon desktop environment
  * Added an automatic "workaround" for desktop environments that causes the
    runescape script to not find settings.conf when launched from the
    start menu.

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (1.7-0) lucid; urgency=low
  * Added the documentation of the project, the same documentation
    that have been sent to Jagex since November 2011.
  * Added support for running java inside padsp which will force java to use PulseAudio
    which will fix most sound related issues with the client, but it is disabled
    by default incase the system does not have padsp installed.
  * Moved all settings for the client to share/settings.conf
  * Added a readconf($key, $default) function to the runescape script.
  * Added support for changing the prm file to use (see prmfile in settings.conf)

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (1.6-0) lucid; urgency=low
  * Fixed the extraction issue with p7zip on MacOSX
  * Added a script updater(update-scripts)
  * Updated the update-runescape-client to give choice between
    updating from the windows client, mac client or just run update-scripts
    
 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (1.5-0) lucid; urgency=low
  * Added a variable at the top of the runescape file(line 38) that lets you
    choose the version of java you would prefer to use on linux.
    Thanks to Piece Maker from the runescape forums for confirming my suspicion about the openjdk7 regression.
    
    Choices available are: 6-openjdk, 7-openjdk, openjdk, default-java or a path to the java binary file
    
    default-java will make the client use the java located in $PATH or set by update-alternatives
    openjdk will make the script use the newest version of openjdk it will find
    6-openjdk and 7-openjdk will force the client to use the openjdk version you ser (either 6 or 7)
    A path to a java binary could be "/opt/java/jre1.6_29/jre/bin/java" (can be used to force client to use sun/oracle java)
    
    NOTE: you can change the default java for your unix system by running
    sudo update-alternatives --config java
    It is however not recommended to run the client in openjdk7 due to a regression
    in its OpenGL mode and Software mode (not sure if this affects windows users too)

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (1.4-0) lucid; urgency=low
  * Removed the need for strawberry perl for windows when using compability/wine mode
    (reducing the size of the unix client to almost nothing again)
  * Fixed a bug causing the compabilitymode to not exit when you close the window
  * Create a smaller installer that just install/uninstall the .desktop files

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (1.3-0) lucid; urgency=low
  * The runescape file will now write debug info to the terminal if
    it is run from the shell, with > /dev/null or > /path/to/logfile.txt
    or >> /path/to/logfile.txt
  * Fixed a bug, if you had 2 versions of openjdk installed, the
    oldest one would be used instead of the newest.
  * Fixed a bug where 7-zip did not get compiled correctly on systems
    without p7zip-full installed
  * Added a compabilitymode which uses java from wine(AT NEAR NATIVE PERFORMANCE!).
    This can be used to provide the runescape client for systems
    that are unable to update their java installations.
    It can also work for linux distros that have problems activating OpenGL mode!
    You can activate this by passing --compabilitymode to the runescape file
    or edit "my $compabilitymode = 0;" to "my $compabilitymode = 1;"
    at the begining of the runescape file.

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200

runescape (1.2-0) lucid; urgency=low
  * Proxy support (http, https and socks) just edit the 
    share/runescape.prm file.
  * Client updater that will fetch new client files from jagex
    by your own command. Just run "Runescape Client Updater" from
    the start menu.
  * If your system do not have 7zip/p7zip installed, the updater
    will download and compile it and add it to the client for future
    use when you run the updater for the first time.
    It will store 1 7zip binary for each platform and architecture
    you have run the updater on.
    (example: 7za-linux-i386, 7za-freebsd-x86_64, 7za-linux-x86_64)

 -- HikariKnight <mu.antilag@gmail.com>  Wed, 04 Jun 2012 12:01:02 +0200
